org.jboss.resteasy.keystone.server

## Class UsersService

- java.lang.Object
- - org.jboss.resteasy.keystone.server.UsersService

-     @Path(value="/users")
      @RolesAllowed(value="admin")
      public class UsersService
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsersService(org.infinispan.Cache cache)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `create(StoredUser user)`
    `Response` | `create(UriInfo uriInfo, StoredUser user)`
    `Response` | `delete(String id)`
    `User` | `get(String id)`
    `StoredUser` | `getStoredUser(String id)`
    `void` | `update(String id, StoredUser user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UsersService

          public UsersService(org.infinispan.Cache cache)

  - ### Method Detail

    - #### create

          public String create(StoredUser user)
                        throws Exception

      Throws:
        `Exception`

    - #### create

          @POST
          @Consumes(value="application/json")
          @Produces(value="application/json")
          public Response create(@Context
                                                         UriInfo uriInfo,
                                                         StoredUser user)
                          throws Exception

      Throws:
        `Exception`

    - #### update

          @PUT
          @Consumes(value="application/json")
          @Produces(value="application/json")
          @Path(value="{id}")
          public void update(@PathParam(value="id")
                                                              String id,
                                                              StoredUser user)
                      throws Exception

      Throws:
        `Exception`

    - #### delete

          @DELETE
          @Path(value="{id}")
          public Response delete(@PathParam(value="id")
                                         String id)

    - #### get

          @GET
          @Path(value="{id}")
          @Produces(value="application/json")
          public User get(@PathParam(value="id")
                                             String id)

    - #### getStoredUser

          public StoredUser getStoredUser(String id)

Copyright © 2014. All Rights Reserved.